SubcategoryForCategory

  • UUID of Subcategory

  • Name of Subcategory (in brand's default language)

  • Unique identifier for the connected category. Optionally added in the include query parameter as "category_id" in the part of the subcategories include.

  • Properties: 1
  • Introduction (description) of Subcategory that can be managed in the Management Center (in brand's default language)

  • Can be an empty array.

    Properties: 2
  • Can be an empty array.

    Properties: 2
  • Array of Serving Times that define when this subcategory is available - see Serving Times reference

    Properties: 5
  • Description for Category that can be managed in the Management Center (to be presented to customer) - based on language provided in Content-Language header

    Properties: 2
Examples
{
  "id": "1ff46ba9-7006-419d-83ba-e12d11d9cf56",
  "category_id": "8556a36c-0864-454d-b21f-204500ce2440",
  "name": "Subcategory",
  "introduction": "Subcategory's Description",
  "translations": {
    "name": "Subcategory",
    "introduction": "Subcategory's Description"
  },
  "image": {
    "thumbnail_small": null
  },
  "serving_times": [
    {
      "id": "ff9c1042-370b-47f1-a8e2-6d20a6aa412f",
      "type_id": 2,
      "time_from": "07:00",
      "time_to": "22:00",
      "days": [
        1
      ]
    }
  ],
  "menu_items": [
    {
      "id": "3eac2d29-1df5-42d9-9e1b-1cd41ac17d74",
      "subcategory_id": "1ff46ba9-7006-419d-83ba-e12d11d9cf56"
    }
  ],
  "menu_combo_meals": [
    {
      "id": "3d4dce7a-c0ff-4edd-81de-c69a3936b145",
      "subcategory_id": "1ff46ba9-7006-419d-83ba-e12d11d9cf56"
    }
  ]
}